<?xml version="1.0"?>
 
<configuration>

  <appSettings>
    <!-- ************************* WEB.CONFIG *************************-->
    <!-- Variabili di Ambiente  test 1  -->
    <add key="ProxyUrl" value="http://bfivprx.fideuram.bancafideuram.it:9090"/>
    <add key="ProxyUserName" value=""/>
    <add key="ProxyPassword" value=""/>
    <!--http://hobbes:8088/mockReportManagerServiceSoapBinding -->
       <!--http://bran.stark.hp:8080/fu-app/ReportManagerService -->
    <!-- SERVIZIO DATI.-->
    <add key="UrlFideuramDati" value="http://bfwspuc01t.fideuram.bancafideuram.it:8080/fu-app/ReportManagerService"/>
                                      
    <!-- Timeout in secondi-->
    <add key="TimeoutFideuramDati" value="300"/>
    <!-- *FINE  SERVIZIO DATI.-->

    <!-- PROMETETIA CATASTO.-->
    <add key="UrlPrometeiaCatasto" value="https://realestate-test.prometeia.it/IMEServices/ws/catasto"/>
    <add key="UserNamePrometeiaCatasto" value="fideuram"/>
    <add key="PasswordPrometeiaCatasto" value="EFS5U2rULZd6mNd"/>
    <!-- *FINE  PROMETETIA CATASTO.-->

    <!-- SERVIZIO IMAGE VALIDATOR.-->
    <add key="UrlImageValidator" value="http://bfwscb01c.fideuram.bancafideuram.it:38080/htm/prometeia/validator"/>
    <!-- *FINE  SERVIZIO VALIDATOR.-->

    <!-- Licenza Dynamic PDF-->
    <add key="Licenza" value="MER50NESHPGEBDChULypwhGhZRnVsJlP2COQbxzfl06X/0Nij4uvqHGH49kc92xDaIX2nrMBOEiJMaEteGIjQXbQN6xytj5TAZzA"/>

    <!-- WebTemplateModeler.-->
    <add key="UrlImageSchede" value="http://bfxsrep601t.fideuram.bancafideuram.it/Consulenza.Unica.Services/imgreport"/>
    <add key="disableSchede" value=""/>

    <!-- Variabili di DEBUG -->

    <!--WriteSectionName: Scrive in alto a destra il nome(assembly) e l'id della sezione stampata nella pagina corrente.-->
    <add key="WriteSectionName" value="false"/>
  </appSettings>

  <connectionStrings>
    <add name="SqlServerConnectionReportModeler" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.fideuram.bancafideuram.it,1433; Database=ReportModeler2;User Id=userHP; Password=userHP; Max Pool Size=10"/>
    <add name="SqlServerConnectionConsulenzaBase" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.fideuram.bancafideuram.it,1433; Database=ConsulenzaBase;User Id=userHP; Password=userHP; Max Pool Size=10"/>
    <add name="SqlServerConsulenzaEvolutaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.fideuram.bancafideuram.it,1433; Database=ConsulenzaEvoluta;User Id=userHP; Password=userHP; Max Pool Size=10"/>
    <add name="SqlServerConnectionWebTemplateReportModeler" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.fideuram.bancafideuram.it,1433; Database=WebTemplateReportModeler;User Id=userHP; Password=userHP; Max Pool Size=10"/>
    <add name="SqlServerConnectionReportArchive" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.fideuram.bancafideuram.it,1433; Database=ReportArchive;User Id=userHP; Password=userHP; Max Pool Size=10"/>
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.fideuram.bancafideuram.it,1433; Database=ConsulenzaUnica;User Id=userHP; Password=userHP; Max Pool Size=10"/>
  </connectionStrings>



  <system.web>
    <globalization culture="IT-it" uiCulture="IT-it"/>
    <!-- 
            Set compilation debug="true" to insert debugging 
            symbols into the compiled page. Because this 
            affects performance, set this value to true only 
            during development.
        -->
    <compilation targetFramework="4.0">
    </compilation>
    <httpRuntime executionTimeout="36000"/>
    <!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
    <authentication mode="Windows"/>
    <!--
            The <customErrors> section enables configuration 
            of what to do if/when an unhandled error occurs 
            during the execution of a request. Specifically, 
            it enables developers to configure html error pages 
            to be displayed in place of a error stack trace.

        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm"/>
            <error statusCode="404" redirect="FileNotFound.htm"/>
        </customErrors>
        -->
    <sessionState timeout="200"/>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>
  </system.web>

  <system.net>
    <defaultProxy useDefaultCredentials="true" />
  </system.net>

  <!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
</configuration>
